## nodogsplash-0.9 beta9.9.9

=== Makefile ===

CC?=gcc
CFLAGS?=-O2
CFLAGS+=-Isrc -Ilibhttpd
#CFLAGS+=-Wall -Wwrite-strings -pedantic -std=gnu99
LDFLAGS+=-pthread
LDLIBS=

NDS_OBJS=src/auth.o src/client_list.o src/commandline.o src/conf.o \
	src/debug.o src/firewall.o src/fw_iptables.o src/gateway.o src/http.o \
	src/httpd_handler.o src/ndsctl_thread.o src/safe.o src/tc.o src/util.o

LIBHTTPD_OBJS=libhttpd/api.o libhttpd/ip_acl.o \
	libhttpd/protocol.o libhttpd/version.o

.PHONY: all clean install checkastyle fixstyle

all: nodogsplash ndsctl

%.o : %.c
	$(CC) $(CFLAGS) -c $< -o $@

nodogsplash: $(NDS_OBJS) $(LIBHTTPD_OBJS)
	$(CC) $(LDFLAGS) -o nodogsplash $+ $(LDLIBS)

ndsctl: src/ndsctl.o
	$(CC) $(LDFLAGS) -o ndsctl $+ $(LDLIBS)

clean:
	rm -f nodogsplash ndsctl src/*.o libhttpd/*.o
	rm -rf dist

install:
	strip nodogsplash
	strip ndsctl
	mkdir -p $(DESTDIR)/usr/bin/
	cp ndsctl $(DESTDIR)/usr/bin/
	cp nodogsplash $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/etc/nodogsplash/htdocs/images
	cp resources/nodogsplash.conf $(DESTDIR)/etc/nodogsplash/
	cp resources/splash.html $(DESTDIR)/etc/nodogsplash/htdocs/
	cp resources/infoskel.html $(DESTDIR)/etc/nodogsplash/htdocs/
	cp resources/splash.jpg $(DESTDIR)/etc/nodogsplash/htdocs/images/

checkastyle:
	@command -v astyle >/dev/null 2>&1 || \
	{ echo >&2 "We need 'astyle' but it's not installed. Aborting."; exit 1; }

fixstyle: checkastyle
	@echo "\033[1;34mChecking style ...\033[00m"
	@astyle --lineend=linux --suffix=none --style=kr --indent=force-tab \
	--formatted --recursive "src/*.c" "src/*.h"|grep formatted \
	&& echo "\033[1;33mPrevious files have been corrected\033[00m" \
	|| echo "\033[0;32mAll files are ok\033[00m"

deb:
	mkdir -p dist/nodogsplash/
	cd dist/nodogsplash/; \
		cp -rp ../../debian/ .; \
		ln -s ../../Makefile;\
		ln -s ../../src;\
		ln -s ../../libhttpd;\
		ln -s ../../resources;\
		dpkg-buildpackage -b -us -uc
	rm -rf dist/nodogsplash

=== openwrt/nodogsplash/Makefile ===
#
# Copyright (C) 2013 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=nodogsplash
PKG_FIXUP:=autoreconf
PKG_VERSION:=0.9_beta9.9.9-pre
PKG_RELEASE:=2

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)/
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=git://github.com/nodogsplash/nodogsplash.git
PKG_SOURCE_VERSION:=master
PKG_SOURCE_SUBDIR:=$(PKG_NAME)-$(PKG_VERSION)
PKG_BUILD_PARALLEL:=1

include $(INCLUDE_DIR)/package.mk


define Package/nodogsplash
	SUBMENU:=Captive Portals
	SECTION:=net
	CATEGORY:=Network
	DEPENDS:=+libpthread +iptables-mod-ipopt
	TITLE:=Open public network gateway daemon
	URL:=https://github.com/nodogsplash/nodogsplash
endef

define Package/nodogsplash/description
	Nodogsplash offers a simple way to open a free hotspot providing
	restricted access to an internet connection.
endef

define Package/nodogsplash/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/nodogsplash $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/ndsctl $(1)/usr/bin/

	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) files/nodogsplash.init $(1)/etc/init.d/$(PKG_NAME)

	$(INSTALL_DIR) $(1)/etc/$(PKG_NAME)/htdocs/images
	$(CP) $(PKG_BUILD_DIR)/resources/nodogsplash.conf $(1)/etc/$(PKG_NAME)/
	$(CP) $(PKG_BUILD_DIR)/resources/splash.html $(1)/etc/$(PKG_NAME)/htdocs/
	$(CP) $(PKG_BUILD_DIR)/resources/infoskel.html $(1)/etc/$(PKG_NAME)/htdocs/
	$(CP) $(PKG_BUILD_DIR)/resources/splash.jpg $(1)/etc/$(PKG_NAME)/htdocs/images/
endef

define Package/nodogsplash/conffiles
/etc/nodogsplash/nodogsplash.conf
endef

$(eval $(call BuildPackage,nodogsplash))

=== debian/changelog ===
nodogsplash (0.9-beta9.9.9-1) unstable; urgency=low

  * fix regression introduced by BinVoucher feature,
    traffic was not blocked except on port 80 [mwarning]
  * make returned upload/download value by BinVoucher script
    optional, as stated in the documentation [mwarning]

 -- mwarning <moritzwarning@web.de>  Sun, 15 Jun 2014 22:55:12 +0200

nodogsplash (0.9-beta9.9.8-1) unstable; urgency=low

  * send HTTP 302 instead of 307 because we use HTTP 1.0 [champtar]
  * add support for DROP, LOG, ULOG target for firewall rules [champtar]
  * remove multi-threading as libhttpd does not support it [sayuan]
  * add new parameters BinVoucher, ForceVoucher and EnablePreAuth
    in combination with per user bandwidth limitation [lindnermarek]
  * merge updates from Wifidog (1.1.3_beta6 @1162) up to @1464 [mwarning]
    * excluding commit [1375] containing feature from wifidog ticket #466
  * rewrite build system to use a simple Makefile [mwarning]
  * unify code style: astyle --style=k&r --indent=tab [mwarning]
  * send HTTP 405 for pre-authenticated non GET requests [redhotpenguin]
  * fix crash when token/redir is not set [mwarning]
  * avoid deadlocks for debug output [sayuan]
  * Debian package [sayuan]
  * OpenWrt package [mwarning]

 -- Moritz Warning <moritzwarning@web.de>  Fri, 06 Sep 2013 18:08:39 +0200

nodogsplash (0.9.9-3) unstable; urgency=low

  * Fixed buffer overflow bug in ndsctl.
  * Improved SIGCHLD handling in gateway.c and util.c.
  * Added FirewallRulesets trusted-users and trusted-users-to-router. This permits customized access control for trusted users, as for authenticated users, with the same ruleset semantics, instead of always accepting all trusted packets.
  * Added EmptyRuleSetPolicy directives for .conf file.  Permits optionally passing packets through to pre-existing firewall rules.
  * updated debian rules (for building debian package)

 -- Andraz Sraka <a@frubsd.org>  Sun, 11 Aug 2009 09:15:00 -0100

=== debian/control ===
Source: nodogsplash
Section: net
Priority: optional
Maintainer: Shiao-An Yuan <shiao.an.yuan@gmail.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: http://kokoro.ucsd.edu/nodogsplash/
Vcs-Git: git://github.com/nodogsplash/nodogsplash.git
Vcs-Browser: http://github.com/nodogsplash/nodogsplash

Package: nodogsplash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provide restricted access to an internet connection
 Nodogsplash offers a solution to this problem: You want to provide controlled
 and reasonably secure public access to an internet connection; and while you
 want to require users to give some acknowledgment of the service you are
 providing, you don't need or want the complexity of user account names and
 passwords and maintaining a separate database-backed authentication server.
